logo
Video Call
Server API
Stream Mixing and Transcoding APIs
On this page

StopCloudTranscode

POST

https://rtc-api.zego.im/

Call this API to stop single stream transcoding tasks.

"Client" single stream transcoding introduction triggered by transcoding template, please refer to Single Stream Transcoding; "Server" related callbacks, please refer to Single Stream Transcoding Start Callback and Single Stream Transcoding Stop Callback.

Call frequency limit
100 times/second

Request

Query Parameters

    Action stringrequired

    Possible values: [StopCloudTranscode]

    Interface prototype parameters

    https://rtc-api.zego.im?Action=StopCloudTranscode

    AppId uint32required

    💡Public parameter. Application ID, assigned by ZEGOCLOUD. Get it from the ZEGOCLOUD Admin Console.

    SignatureNonce stringrequired

    💡Common parameter. A 16-character hexadecimal random string (hex-encoded 8-byte random number). For the generation algorithm, refer to the signature example.

    Timestamp int64required

    💡Common parameter. Current Unix timestamp in seconds. For the generation algorithm, refer to the signature example. A maximum deviation of 10 minutes is allowed.

    Signature stringrequired

    💡Common parameter. Signature used to verify the legitimacy of the request. Please refer to the signature mechanism to generate it.

    SignatureVersion stringrequired

    Possible values: [2.0]

    Default value: 2.0

    💡Public parameter. Signature version number.

Body

required
    TaskId stringrequired

    Task ID, unique identifier of the single stream transcoding task, customized by the developer.

    UserId stringrequired

    User ID. When enabling single stream transcoding task ownership, stopping the transcoding task of a certain TaskId must input the UserId specified when starting the single stream transcoding task start single stream transcoding task.

    Sequence int

    Sequence number of the transcoding task, used to ensure sequence, parameter modification of the same task needs to ensure the sequence number increments.

Responses

Success
Schema
    Code int

    The following only lists the return codes related to interface business logic. For complete return codes, please refer to Global Return Codes.

    Return CodeDescriptionHandling Suggestion
    110200002Input parameter error.Please refer to Message information for processing.
    110200151Single stream transcoding task failed.Please try again, or contact ZEGOCLOUD Technical Support for processing.
    Message string

    Operation result description.

    RequestId string

    Request ID.

Previous

StartCloudTranscode

Next

ForbidCDNLiveStream

On this page

Back to top